cURL
curl --request POST 'https://api.brightalk.ai/automation-runs' \
--header "Authorization: Bearer $BRIGHTALK_API_KEY" \
--header "Brightalk-Version: 2026-07-16" \
--header "Content-Type: application/json" \
--header "Idempotency-Key: createAutomationRun-example-001" \
--data '{"automation_id":"atm_demo_001","contact_id":"con_demo_001"}'const response = await fetch("https://api.brightalk.ai/automation-runs", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.BRIGHTALK_API_KEY}`,
"Brightalk-Version": "2026-07-16",
"Content-Type": "application/json",
"Idempotency-Key": "createAutomationRun-example-001",
},
body: JSON.stringify({"automation_id":"atm_demo_001","contact_id":"con_demo_001"}),
});
console.log(response.status, await response.json());import os
import requests
response = requests.request(
"POST",
"https://api.brightalk.ai/automation-runs",
headers={
"Authorization": f"Bearer {os.environ['BRIGHTALK_API_KEY']}",
"Brightalk-Version": "2026-07-16",
"Content-Type": "application/json",
"Idempotency-Key": "createAutomationRun-example-001",
},
json={"automation_id":"atm_demo_001","contact_id":"con_demo_001"},
)
print(response.status_code, response.json()){
"id": "run_demo_001",
"status": "queued",
"automation_id": "atm_demo_001",
"contact_id": "con_demo_001",
"input": {},
"queued_at": "2026-07-20T01:00:00Z",
"created_at": "2026-07-20T01:00:00Z",
"updated_at": "2026-07-20T01:00:00Z",
"failure_code": "step_failed",
"started_at": "2026-07-20T01:00:00Z",
"completed_at": "2026-07-20T01:00:00Z",
"cancelled_at": "2026-07-20T01:00:00Z"
}自動化執行
建立自動化執行
從儀表板管理且已啟用的自動化,為一位聯絡人建立一次自動化執行並加入佇列。自動化定義指定要使用的代理、等待步驟、重試規則與分支。必須提供 Idempotency-Key;經清理的原始 JSON 主體上限為 1 MiB。每個回應都包含 Brightalk-Version 與 X-Request-Id;受到速率限制的回應還會提供實際套用之配額群組的計數器。
POST
/
automation-runs
cURL
curl --request POST 'https://api.brightalk.ai/automation-runs' \
--header "Authorization: Bearer $BRIGHTALK_API_KEY" \
--header "Brightalk-Version: 2026-07-16" \
--header "Content-Type: application/json" \
--header "Idempotency-Key: createAutomationRun-example-001" \
--data '{"automation_id":"atm_demo_001","contact_id":"con_demo_001"}'const response = await fetch("https://api.brightalk.ai/automation-runs", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.BRIGHTALK_API_KEY}`,
"Brightalk-Version": "2026-07-16",
"Content-Type": "application/json",
"Idempotency-Key": "createAutomationRun-example-001",
},
body: JSON.stringify({"automation_id":"atm_demo_001","contact_id":"con_demo_001"}),
});
console.log(response.status, await response.json());import os
import requests
response = requests.request(
"POST",
"https://api.brightalk.ai/automation-runs",
headers={
"Authorization": f"Bearer {os.environ['BRIGHTALK_API_KEY']}",
"Brightalk-Version": "2026-07-16",
"Content-Type": "application/json",
"Idempotency-Key": "createAutomationRun-example-001",
},
json={"automation_id":"atm_demo_001","contact_id":"con_demo_001"},
)
print(response.status_code, response.json()){
"id": "run_demo_001",
"status": "queued",
"automation_id": "atm_demo_001",
"contact_id": "con_demo_001",
"input": {},
"queued_at": "2026-07-20T01:00:00Z",
"created_at": "2026-07-20T01:00:00Z",
"updated_at": "2026-07-20T01:00:00Z",
"failure_code": "step_failed",
"started_at": "2026-07-20T01:00:00Z",
"completed_at": "2026-07-20T01:00:00Z",
"cancelled_at": "2026-07-20T01:00:00Z"
}標頭
主體
application/json
JSON request body. The raw encoded body is limited to 1 MiB and unknown fields are rejected.
回應
自動化執行已由持久佇列接受。